### Method

# Gimp Image set_component_active

#### Declaration [src]

    gboolean
    gimp_image_set_component_active (
      GimpImage* image,
      GimpChannelType component,
      gboolean active
    )

#### Description [src]

Sets if the specified image’s image component is active.

This procedure sets if the specified image’s image component (i.e. Red, Green, Blue intensity channels in an RGB image) is active or inactive — whether or not it can be modified. If the specified component is not valid for the image type, an error is returned.

#### Parameters

`component`

  Type: `GimpChannelType`

  The image component.

`active`

  Type: `gboolean`

  Component is active.

#### Return value

Type: `gboolean`

TRUE on success.